Widgets
Diese Seite ist nicht auf Deutsch verfügbar. Die englische Version wird angezeigt.
Get a list of widgets
Use this method to obtain a list of widgets available to clients in the Trader's Room.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 1000Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/widgets?limit=10&offset=0" \ -H "accept-language: ja"{ "total": 1, "data": [ { "id": 1, "caption": "Ticker Widget MT5", "name": "tickerWidgetMt5", "sort": 7, "delete": true, "showByDefault": true, "width": 1, "height": 1, "positionX": 1, "positionY": 1, "entity": { "id": 1, "platform": "mt5", "source": "https://data-stream.flexdns.org", "symbols": [ { "id": 1, "show": true, "symbol": "EURUSD" } ] } } ]}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}